---
title: Overview
summary: What is this all about?
img: image-4.png
pageid: overview
parents: [introduction]
topics: [Hugo, Theme, Zettelkasten, Documentation]
author: helmutm
date: 2022-02-20
weight: 110
---

Based on [Hugo Cards](https://themes.gohugo.io/themes/hugo-cards)

Makes heavy use of the Bootstrap *card* element, not only on overview pages but also when presenting meta data and links on the sidebar of a page.

But the name *cybercards* is also related to another aspekt of the theme: It allows you to construct a complex directed graph of linked pages, that is something like [Niklas Lumann](https://en.wikipedia.org/wiki/Niklas_Luhmann)'s famous [Zettelkasten](https://en.wikipedia.org/wiki/Zettelkasten) (slip box), a - possibly fairly large (Luhmann's had about 90,000 cards) - collection of index cards that are interlinked by putting identifiers on each card that may then be referenced from other cards.

There are three ways for linking  (see the {{< ilink pid="structures">}}*Structures*{{< /ilink >}} and {{< ilink pid="pageconfig">}}*Page Configuration*{{< /ilink >}} pages):

- Use taxonomy, currently supported are *topics*. With the *cybercards* theme a topic may have parent topics, thus building a directed graph (sort of hierarchy, but with optionally more than one parent of an object, so more like a network) of topics. Pages belonging to the same topic as the current page are listed in the *Related Posts* section of the sidebar. Parent and child topics are shown page of a topic if there are explicit topic documents for these in the `content/topics` folder.
- Connect pages via the `parents` parameter, that references other ("parent") pages via their `pageid`s. Parent and child pages of the current page are shown in corresponding sections of the sidebar. Alternatively you can show child pages (i.e. pages that link to the current one via their *parents* parameter) as cards directly on the parent page, depending on a setting in the site parameters. Pages that link to the same parent page as the current page are listed in the *Sibling Posts* section of the sidebar.
- Link directly from a page's text to another page by inserting an `ilink` (internal link) shortcode that references the `pageid` of the other page (just like in a Wiki, but without the magic of CamelCase and automatic page creation). On the referenced page you get a list of *Backlinks* in the sidebar that shows which other pages link to it via an `ilink` shortcode.
